from flask import request, session, Blueprint, Response, send_from_directory
from htmlpy import *
from config import CONFIG
import os

asset_pages = Blueprint("assets", __name__)


def filesend(path):
    filename = os.path.basename(path)
    dirpath = os.path.dirname(path)
    return send_from_directory(dirpath, filename)


@asset_pages.route("/me", methods=["GET"])
def me_picture():
    return filesend("/config/me.avif")
